Package ietf.params.xml.ns.icalendar_2

# Class PartstatParamType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BaseParameterType
ietf.params.xml.ns.icalendar_2.TextParameterType
ietf.params.xml.ns.icalendar_2.PartstatParamType

public class PartstatParamType extends TextParameterType
partstat-event = ("NEEDS-ACTION" ; Event needs action / "ACCEPTED" ; Event accepted / "DECLINED" ; Event declined / "TENTATIVE" ; Event tentatively ; accepted / "DELEGATED" ; Event delegated / x-name ; Experimental status / iana-token) ; Other IANA-registered ; status ; These are the participation statuses for a "VEVENT". ; Default is NEEDS-ACTION. partstat-todo = ("NEEDS-ACTION" ; To-do needs action / "ACCEPTED" ; To-do accepted / "DECLINED" ; To-do declined / "TENTATIVE" ; To-do tentatively ; accepted / "DELEGATED" ; To-do delegated / "COMPLETED" ; To-do completed ; COMPLETED property has ; DATE-TIME completed / "IN-PROCESS" ; To-do in process of ; being completed / x-name ; Experimental status / iana-token) ; Other IANA-registered ; status ; These are the participation statuses for a "VTODO". ; Default is NEEDS-ACTION. partstat-jour = ("NEEDS-ACTION" ; Journal needs action / "ACCEPTED" ; Journal accepted / "DECLINED" ; Journal declined / x-name ; Experimental status / iana-token) ; Other IANA-registered ; status ; These are the participation statuses for a "VJOURNAL". ; Default is NEEDS-ACTION.

Java class for PartstatParamType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartstatParamType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}TextParameterType">
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.TextParameterType

  `text`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartstatParamType()`

- ## Method Summary

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.TextParameterType

  `getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartstatParamType

    public PartstatParamType()